package com.ruoyi.security.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * MFA令牌对象 dc_mfa_token
 * 
 * @author ruoyi
 * @date 2025-12-20
 */
public class MfaToken extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 令牌ID */
    private Long tokenId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 令牌类型 */
    @Excel(name = "令牌类型")
    private String tokenType;

    /** 令牌值 */
    @Excel(name = "令牌值")
    private String tokenValue;

    /** 令牌状态 */
    @Excel(name = "令牌状态")
    private String tokenStatus;

    /** 生成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date generatedTime;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date expiryTime;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date usedTime;

    /** 验证次数 */
    @Excel(name = "验证次数")
    private Long verifyCount;

    /** 最大验证次数 */
    @Excel(name = "最大验证次数")
    private Long maxVerifyCount;

    /** 创建者 */
    @Excel(name = "创建者")
    private String createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private String updatedBy;

    public void setTokenId(Long tokenId) 
    {
        this.tokenId = tokenId;
    }

    public Long getTokenId() 
    {
        return tokenId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setTokenType(String tokenType) 
    {
        this.tokenType = tokenType;
    }

    public String getTokenType() 
    {
        return tokenType;
    }
    public void setTokenValue(String tokenValue) 
    {
        this.tokenValue = tokenValue;
    }

    public String getTokenValue() 
    {
        return tokenValue;
    }
    public void setTokenStatus(String tokenStatus) 
    {
        this.tokenStatus = tokenStatus;
    }

    public String getTokenStatus() 
    {
        return tokenStatus;
    }
    public void setGeneratedTime(Date generatedTime) 
    {
        this.generatedTime = generatedTime;
    }

    public Date getGeneratedTime() 
    {
        return generatedTime;
    }
    public void setExpiryTime(Date expiryTime) 
    {
        this.expiryTime = expiryTime;
    }

    public Date getExpiryTime() 
    {
        return expiryTime;
    }
    public void setUsedTime(Date usedTime) 
    {
        this.usedTime = usedTime;
    }

    public Date getUsedTime() 
    {
        return usedTime;
    }
    public void setVerifyCount(Long verifyCount) 
    {
        this.verifyCount = verifyCount;
    }

    public Long getVerifyCount() 
    {
        return verifyCount;
    }
    public void setMaxVerifyCount(Long maxVerifyCount) 
    {
        this.maxVerifyCount = maxVerifyCount;
    }

    public Long getMaxVerifyCount() 
    {
        return maxVerifyCount;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tokenId", getTokenId())
            .append("userId", getUserId())
            .append("username", getUsername())
            .append("tokenType", getTokenType())
            .append("tokenValue", getTokenValue())
            .append("tokenStatus", getTokenStatus())
            .append("generatedTime", getGeneratedTime())
            .append("expiryTime", getExpiryTime())
            .append("usedTime", getUsedTime())
            .append("verifyCount", getVerifyCount())
            .append("maxVerifyCount", getMaxVerifyCount())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .toString();
    }
}